## python-ldapdomaindump 0.9.4

=== requirements.txt ===
ldap3
dnspython
future

## python-ldapdomaindump 0.9.1

=== debian/changelog ===
python-ldapdomaindump (0.9.1-1) unstable; urgency=medium

  * Initial release (Closes: #941281)
  * Based this work on ldapdomaindump Kali Package.

 -- Emmanuel Arias <emmanuelarias30@gmail.com>  Fri, 27 Sep 2019 16:03:56 -0300

=== debian/control ===
Source: python-ldapdomaindump
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Emmanuel Arias <emmanuelarias30@gmail.com>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-dnspython,
	       python3-future,
               python3-ldap3,
               python3-setuptools
Standards-Version: 4.4.0
Homepage: https://github.com/dirkjanm/ldapdomaindump
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-ldapdomaindump
Vcs-Git: https://salsa.debian.org/python-team/modules/python-ldapdomaindump.git
Testsuite: autopkgtest-pkg-python

Package: python3-ldapdomaindump
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Active Directory information dumper via LDAP (Python 3)
 This package contains an Active Directory information dumper via LDAP. In an
 Active Directory domain, a lot of interesting information can be retrieved via
 LDAP by any authenticated user (or machine). This makes LDAP an interesting
 protocol for gathering information in the recon phase of a pentest of an
 internal network. A problem is that data from LDAP often is not available in
 an easy to read format.
 .
 ldapdomaindump is a tool which aims to solve this problem, by collecting and
 parsing information available via LDAP and outputting it in a human readable
 HTML format, as well as machine readable json and csv/tsv/greppable files.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-ldapdomaindump-$1.tar.gz%" \
   https://github.com/dirkjanm/ldapdomaindump/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-ldapdomaindump 0.9.3

=== debian/changelog ===
python-ldapdomaindump (0.9.3-2) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jun 2022 14:39:59 -0400

python-ldapdomaindump (0.9.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump debhelper compat to v13.

 -- Boyuan Yang <byang@debian.org>  Mon, 20 Jul 2020 16:34:53 -0400

python-ldapdomaindump (0.9.1-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload to allow testing migration.
  * Bump Standards-Version to 4.5.0.

 -- Boyuan Yang <byang@debian.org>  Tue, 31 Mar 2020 11:47:58 -0400

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: python-ldapdomaindump
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Emmanuel Arias <emmanuelarias30@gmail.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-dnspython,
 	       python3-future,
                python3-ldap3,
                python3-setuptools
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/dirkjanm/ldapdomaindump
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-ldapdomaindump
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-ldapdomaindump.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ldapdomaindump
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-ldapdomaindump.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-ldapdomaindump

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=python-ldapdomaindump

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-ldapdomaindump 0.9.4

=== debian/changelog ===
python-ldapdomaindump (0.9.4-2) unstable; urgency=medium

  * Team upload
  * Cherry-pick upstream commit to drop future requirement
    (Closes: #1058953)

 -- Graham Inggs <ginggs@debian.org>  Thu, 04 Jan 2024 20:34:22 +0000

python-ldapdomaindump (0.9.4-1) unstable; urgency=medium

  * d/control: Bump standards version to 4.6.2 (from 4.6.1; no changes
    needed).
  * d/control: Update my contact information. Also update in d/copyright.
  * New upstream release.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 13 Oct 2023 19:36:03 -0300

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,14 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Emmanuel Arias <emmanuelarias30@gmail.com>
+Uploaders: Emmanuel Arias <eamanu@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-dnspython,
-	       python3-future,
                python3-ldap3,
                python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/dirkjanm/ldapdomaindump
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ldapdomaindump
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-ldapdomaindump.git
